Witcher 3: Wild Hunt “Universal patch compatibility for 1.31 and 1.31 GOTY / Unification patch for 1.31 and 1.31 GOTY”

621

Description and instructions:

Universal patch compatibility for 1.31 GOG GOTY and 1.31 GOG / Steam non-GOTY versions of the game

Current versions of the game:
– 1.31 GOG GOTY: often referred to simply as “GOTH”, is distributed only through the GOG platform.
– Steam 1.31 GOTY: set, which includes the base version 1.31 and all DLC.
– Steam / GOG 1.31: the usual version of the game, often called “non-GOTH.”

Those. simply, there are two versions of the game: 1.31 GOG GOTY (GOTH) and 1.31 (“non-GOT”).

Goths and non-Goths are almost identical, but the difference between them is sufficient for the appearance of problems with mods.

This patch changes BASIC scripts and makes non-GOTH and GOTH versions the same:
– the main menu will be random as in GOTHY;
– non-GOTH will receive a small fix of the level of items in the N +, available only in the GOTI version;
– the message “DLC is something installed” will no longer appear when loading the save;
– a welcome message in the main menu will no longer be displayed (does not apply to GOSTI, it is necessary for compatibility);
– banners “DLC installed” in the main menu will no longer be shown if you have both paid DLC;
– GOTH will receive the option “Downloadable content” in the main menu, where all installed DLC will be displayed;
– and most importantly: the basic scripts of both versions of the game will be identical, which will make life much easier for modmayakers,
and users of mods.

To install the patch, copy the folders “content” and “Mods” to the folder <Path where the The Witcher 3> is installed, with the replacement of files.
Combine all the scripts again in Script Merger, if previously you had them.

The main source of conflict between GOTH and non-GOTH is the code related to the menu. The problem is that the code that
refers to the menu, not limited only to the menu scripts, it is also in the r4game.ws file, which can be used
Mods not related to the menu even remotely (for example, the fashion for the experience gained). The nature of the menu changes in GOTH is such,
that automatically conflicts in Script Merger are not resolved, and semi-automatic resolution with manual substitution
conflict lines creates a broken script if the user is not familiar with the TW3 scripting language. if you have
such a problem, then installing this patch will solve it.

Keep in mind that some mods will still not be integrated automatically, but conflicts will be easier to solve:
Look for keywords such as GOTY message, DLC available, NG + available, menu type in merged scripts in places
conflict and always choose A (base game) and make sure that the code around the conflict area also
repeated the code from A (if necessary, remove automatically inserted rows from B and C).

If you want to return to version 1.31 of non-GOTH, copy the scripts from the “Base scripts v.1.31” folder to the “content” folder
to the folder <Path to which the Witcher 3> is installed with the replacement of files. Then, delete the mod0000____CompilationTrigger folder from the
folder <Path to where The Witcher 3> \ Mods. Combine all the scripts again in Script Merger, if before you have
those were available.

If you want to go back to version 1.31 of Goth, copy the scripts from the folder “Base scripts v.1.31 GOTY” to the folder “content”
to the folder <Path to which the Witcher 3> is installed with the replacement of files. Then, delete the mod0000____CompilationTrigger folder from the
folder <Path to where The Witcher 3> \ Mods. Combine all the scripts again in Script Merger, if before you have
those were available.





Leave a Reply

Your email address will not be published.